#ifndef GRESB_H
#define GRESB_H

#include <QWidget>
#include <QLabel>
#include <QPushButton>
#include <QSpinBox>
#include <QGridLayout>
#include "qipdialogbox.h"

class gresb : public QWidget
{
    Q_OBJECT
public:
    explicit gresb(QWidget *parent = 0);
    
signals:
    
public slots:

private:
    QLabel *gresbBridgeIPLabel;
    QLabel *gresbVirtualLinkLabel;
    QLabel *spwLinkLabel;
    QLabel *rmapSourceLogicalAddressLabel;
    QLabel *rmapSendStateLabel;
    QLabel *rmapReceiveStateLabel;
    QLabel *gresbStatusQueryLabel;

    QIPDialogBox* gresbBridgeIPDialogBox;

    QSpinBox *gresbVirtualLinkSpinBox;
    QSpinBox *spwLinkSpinBox;
    QSpinBox *rmapSourceLogicalAddressSpinBox;

    QGridLayout *connectionLayout;
    
};

#endif // GRESB_H
